/* Google Rating Widget Styles */
.google-rating-link {
    display: block;
    width: fit-content;
    margin: 0 auto;
}

.google-rating-widget {
    width: 100%;
    margin-bottom: 8px;
}

.google-rating-container {
    display: flex;
    align-items: center;
    gap: 10px;
    width: fit-content;
    margin-inline: auto;
}

.rating-stars-wrapper {
    display: flex;
    align-items: center;
    gap: 2px;
    flex-shrink: 0;
}

.rating-stars-wrapper .star {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 23px;
    height: 24px;
    flex-shrink: 0;
}

.rating-stars-wrapper .star svg {
    width: 100%;
    height: 100%;
    display: block;
}

.rating-text {
    color: #171717;
    font-family: 'Urbanist', sans-serif;
    font-size: 22px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    white-space: nowrap;
    flex-shrink: 0;
}

.rating-text .rating-score {
    font-weight: 700;
}

.google-logo {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 28px;
    height: 28px;
    margin-left: auto;
}

.google-logo img {
    width: 100%;
    height: 100%;
    display: block;
    position: relative;
}

@media (max-width: 767px) {
    .rating-text {
        font-size: 16px;
    }

    .google-logo img,
    .rating-stars-wrapper .star {
        width: 19px;
        height: 20px;
    }
}